Skip to content

Text a sign-in code

POST
/auth/phone/code
curl --request POST \
--url https://api.tradeops.cc/v1/auth/phone/code \
--header 'Content-Type: application/json' \
--data '{ "identifier": "example" }'

Sends a six-digit code to the member’s phone. The code lasts 10 minutes. The response is the same whether or not the number is registered. Each number can ask 3 times in 15 minutes.

Media typeapplication/json
RequestPhoneCodeRequest
object
identifier
required

The member’s phone number or staff ID.

string
<= 50 characters

Example generated

{
"identifier": "example"
}
Media typeapplication/json
object
message
required
string
Allowed value: If this number is registered, we've sent a code.

Example

{
"message": "If this number is registered, we've sent a code."
}

Validation error

Media typeapplication/json
object
message
required

Errors overview.

string
errors
required

A detailed description of each field that failed validation.

object
key
additional properties
Array<string>

Example generated

{
"message": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}